> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Find access control credentials by guest pass

> Find all access control credentials assigned to the specified guest pass



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/accesscontrol/findAccessControlCredentialByGuestPass
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/accesscontrol/findAccessControlCredentialByGuestPass:
    post:
      tags:
        - Access Control Webservice
      summary: Find access control credentials by guest pass
      description: Find all access control credentials assigned to the specified guest pass
      operationId: findAccessControlCredentialByGuestPass
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Accesscontrol_credentials_FindAccessControlCredentialByGuestPassWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Accesscontrol_credentials_FindAccessControlCredentialByGuestPassWSResponse
          description: OK
components:
  schemas:
    Accesscontrol_credentials_FindAccessControlCredentialByGuestPassWSRequest:
      type: object
      description: Request to find access control credentials by guest pass.
      properties:
        filter:
          $ref: '#/components/schemas/CredentialQueryFilter'
        guestPassUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    Accesscontrol_credentials_FindAccessControlCredentialByGuestPassWSResponse:
      type: object
      description: >-
        Response containing access control credentials found for a specific
        guest pass.
      properties:
        credentials:
          type: array
          description: List of access control credentials
          items:
            $ref: '#/components/schemas/AccessControlCredentialType'
          nullable: true
    CredentialQueryFilter:
      type: object
      description: Filter criteria for finding credential history
      properties:
        credTypeFilter:
          type: array
          items:
            $ref: '#/components/schemas/AccessControlCredentialEnumType'
          nullable: true
          uniqueItems: true
        lastUsedAccessControlledDoorUuidFilter:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        lastUsedAfterFilter:
          type: integer
          format: int64
          nullable: true
        lastUsedBeforeFilter:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuidFilter:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
          uniqueItems: true
        workflowStatusFilter:
          type: array
          items:
            $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
          nullable: true
          uniqueItems: true
    AccessControlCredentialType:
      type: object
      description: Credentials assigned to the pass.
      discriminator:
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/StandardCsnType'
        - $ref: '#/components/schemas/RhombusSecureCsnType'
        - $ref: '#/components/schemas/RhombusSecureMobileType'
        - $ref: '#/components/schemas/PinCredential'
        - $ref: '#/components/schemas/WiegandH10301CredentialType'
        - $ref: '#/components/schemas/WiegandH10304Credential'
        - $ref: '#/components/schemas/WiegandD10202Credential'
        - $ref: '#/components/schemas/Wiegand64BitRawCredentialType'
        - $ref: '#/components/schemas/Wiegand35BitCorp1000Credential'
        - $ref: '#/components/schemas/Wiegand48BitCorp1000Credential'
        - $ref: '#/components/schemas/QrCodeStaticCredential'
        - $ref: '#/components/schemas/CustomCredential'
      properties:
        assigneeType:
          $ref: '#/components/schemas/AccessControlCredentialAssigneeTypeEnum'
        assigneeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        endDateEpochSecExclusive:
          type: integer
          format: int64
          nullable: true
        lastUsedAccessControlledDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastUsedAtMillis:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lowercaseHexValue:
          type: string
          nullable: true
          readOnly: true
        managedCredUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        note:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startDateEpochSecInclusive:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/AccessControlCredentialEnumType'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        value:
          type: string
          nullable: true
        workflowStatus:
          $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
    AccessControlCredentialEnumType:
      type: string
      enum:
        - STANDARD_CSN
        - RHOMBUS_SECURE_CSN
        - RHOMBUS_SECURE_MOBILE
        - PIN_CODE
        - WIEGAND_H10301
        - WIEGAND_H10304
        - WIEGAND_D10202
        - WIEGAND_64BIT_RAW
        - HID_CORP1000_STD_35
        - HID_CORP1000_STD_48
        - QR_CODE_STATIC
        - CUSTOM
    AccessControlCredentialWorkflowStatusEnumType:
      type: string
      enum:
        - ACTIVE
        - UNASSIGNED
        - SUSPENDED
        - REVOKED
    StandardCsnType:
      type: object
      allOf: []
      nullable: true
      properties:
        assigneeType:
          $ref: '#/components/schemas/AccessControlCredentialAssigneeTypeEnum'
        assigneeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        endDateEpochSecExclusive:
          type: integer
          format: int64
          nullable: true
        lastUsedAccessControlledDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastUsedAtMillis:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lowercaseHexValue:
          type: string
          nullable: true
          readOnly: true
        managedCredUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        note:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startDateEpochSecInclusive:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/AccessControlCredentialEnumType'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        value:
          type: string
          nullable: true
        workflowStatus:
          $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
    RhombusSecureCsnType:
      type: object
      allOf:
        - type: object
          properties:
            algorithm:
              $ref: '#/components/schemas/SecureTokenAlgorithmEnum'
            baseKeyIdentifier:
              type: integer
              format: int32
              nullable: true
      nullable: true
      properties:
        assigneeType:
          $ref: '#/components/schemas/AccessControlCredentialAssigneeTypeEnum'
        assigneeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        endDateEpochSecExclusive:
          type: integer
          format: int64
          nullable: true
        lastUsedAccessControlledDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastUsedAtMillis:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lowercaseHexValue:
          type: string
          nullable: true
          readOnly: true
        managedCredUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        note:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startDateEpochSecInclusive:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/AccessControlCredentialEnumType'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        value:
          type: string
          nullable: true
        workflowStatus:
          $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
    RhombusSecureMobileType:
      type: object
      allOf:
        - type: object
          properties:
            algorithm:
              $ref: '#/components/schemas/SecureTokenAlgorithmEnum'
            appName:
              type: string
              nullable: true
            appNotifications:
              $ref: '#/components/schemas/RhombusSecureMobileFeature'
            appOS:
              type: string
              nullable: true
            appStatusUpdatedAtMillis:
              type: integer
              format: int64
              nullable: true
            appVersion:
              type: string
              nullable: true
            baseKeyIdentifier:
              type: integer
              format: int32
              nullable: true
            clientType:
              $ref: '#/components/schemas/MobileTokenOSEnum'
            deviceModel:
              type: string
              nullable: true
            installationId:
              type: string
              nullable: true
            tapToUnlock:
              $ref: '#/components/schemas/RhombusSecureMobileFeature'
            userAgent:
              type: string
              nullable: true
            waveToUnlock:
              $ref: '#/components/schemas/RhombusSecureMobileFeature'
      nullable: true
      properties:
        assigneeType:
          $ref: '#/components/schemas/AccessControlCredentialAssigneeTypeEnum'
        assigneeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        endDateEpochSecExclusive:
          type: integer
          format: int64
          nullable: true
        lastUsedAccessControlledDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastUsedAtMillis:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lowercaseHexValue:
          type: string
          nullable: true
          readOnly: true
        managedCredUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        note:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startDateEpochSecInclusive:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/AccessControlCredentialEnumType'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        value:
          type: string
          nullable: true
        workflowStatus:
          $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
    PinCredential:
      type: object
      allOf: []
      nullable: true
      properties:
        assigneeType:
          $ref: '#/components/schemas/AccessControlCredentialAssigneeTypeEnum'
        assigneeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        endDateEpochSecExclusive:
          type: integer
          format: int64
          nullable: true
        lastUsedAccessControlledDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastUsedAtMillis:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lowercaseHexValue:
          type: string
          nullable: true
          readOnly: true
        managedCredUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        note:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startDateEpochSecInclusive:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/AccessControlCredentialEnumType'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        value:
          type: string
          nullable: true
        workflowStatus:
          $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
    WiegandH10301CredentialType:
      type: object
      allOf:
        - type: object
          properties:
            cardNumber:
              type: integer
              format: int32
              nullable: true
            facilityCode:
              type: integer
              format: int32
              nullable: true
            format:
              $ref: '#/components/schemas/WiegandFormatEnumType'
            nonParityValue:
              type: string
              nullable: true
      nullable: true
      properties:
        assigneeType:
          $ref: '#/components/schemas/AccessControlCredentialAssigneeTypeEnum'
        assigneeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        endDateEpochSecExclusive:
          type: integer
          format: int64
          nullable: true
        lastUsedAccessControlledDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastUsedAtMillis:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lowercaseHexValue:
          type: string
          nullable: true
          readOnly: true
        managedCredUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        note:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startDateEpochSecInclusive:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/AccessControlCredentialEnumType'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        value:
          type: string
          nullable: true
        workflowStatus:
          $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
    WiegandH10304Credential:
      type: object
      allOf:
        - type: object
          properties:
            cardNumber:
              type: integer
              format: int32
              nullable: true
            facilityCode:
              type: integer
              format: int32
              nullable: true
            format:
              $ref: '#/components/schemas/WiegandFormatEnumType'
            nonParityValue:
              type: string
              nullable: true
      nullable: true
      properties:
        assigneeType:
          $ref: '#/components/schemas/AccessControlCredentialAssigneeTypeEnum'
        assigneeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        endDateEpochSecExclusive:
          type: integer
          format: int64
          nullable: true
        lastUsedAccessControlledDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastUsedAtMillis:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lowercaseHexValue:
          type: string
          nullable: true
          readOnly: true
        managedCredUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        note:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startDateEpochSecInclusive:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/AccessControlCredentialEnumType'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        value:
          type: string
          nullable: true
        workflowStatus:
          $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
    WiegandD10202Credential:
      type: object
      allOf:
        - type: object
          properties:
            cardNumber:
              type: integer
              format: int32
              nullable: true
            facilityCode:
              type: integer
              format: int32
              nullable: true
            format:
              $ref: '#/components/schemas/WiegandFormatEnumType'
            nonParityValue:
              type: string
              nullable: true
      nullable: true
      properties:
        assigneeType:
          $ref: '#/components/schemas/AccessControlCredentialAssigneeTypeEnum'
        assigneeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        endDateEpochSecExclusive:
          type: integer
          format: int64
          nullable: true
        lastUsedAccessControlledDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastUsedAtMillis:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lowercaseHexValue:
          type: string
          nullable: true
          readOnly: true
        managedCredUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        note:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startDateEpochSecInclusive:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/AccessControlCredentialEnumType'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        value:
          type: string
          nullable: true
        workflowStatus:
          $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
    Wiegand64BitRawCredentialType:
      type: object
      allOf:
        - type: object
          properties:
            cardNumber:
              type: integer
              format: int64
              nullable: true
            format:
              $ref: '#/components/schemas/WiegandFormatEnumType'
      nullable: true
      properties:
        assigneeType:
          $ref: '#/components/schemas/AccessControlCredentialAssigneeTypeEnum'
        assigneeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        endDateEpochSecExclusive:
          type: integer
          format: int64
          nullable: true
        lastUsedAccessControlledDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastUsedAtMillis:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lowercaseHexValue:
          type: string
          nullable: true
          readOnly: true
        managedCredUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        note:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startDateEpochSecInclusive:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/AccessControlCredentialEnumType'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        value:
          type: string
          nullable: true
        workflowStatus:
          $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
    Wiegand35BitCorp1000Credential:
      type: object
      allOf:
        - type: object
          properties:
            cardNumber:
              type: integer
              format: int64
              nullable: true
            companyId:
              type: integer
              format: int32
              nullable: true
            format:
              $ref: '#/components/schemas/WiegandFormatEnumType'
      nullable: true
      properties:
        assigneeType:
          $ref: '#/components/schemas/AccessControlCredentialAssigneeTypeEnum'
        assigneeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        endDateEpochSecExclusive:
          type: integer
          format: int64
          nullable: true
        lastUsedAccessControlledDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastUsedAtMillis:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lowercaseHexValue:
          type: string
          nullable: true
          readOnly: true
        managedCredUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        note:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startDateEpochSecInclusive:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/AccessControlCredentialEnumType'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        value:
          type: string
          nullable: true
        workflowStatus:
          $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
    Wiegand48BitCorp1000Credential:
      type: object
      allOf:
        - type: object
          properties:
            cardNumber:
              type: integer
              format: int64
              nullable: true
            companyId:
              type: integer
              format: int32
              nullable: true
            format:
              $ref: '#/components/schemas/WiegandFormatEnumType'
      nullable: true
      properties:
        assigneeType:
          $ref: '#/components/schemas/AccessControlCredentialAssigneeTypeEnum'
        assigneeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        endDateEpochSecExclusive:
          type: integer
          format: int64
          nullable: true
        lastUsedAccessControlledDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastUsedAtMillis:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lowercaseHexValue:
          type: string
          nullable: true
          readOnly: true
        managedCredUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        note:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startDateEpochSecInclusive:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/AccessControlCredentialEnumType'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        value:
          type: string
          nullable: true
        workflowStatus:
          $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
    QrCodeStaticCredential:
      type: object
      allOf:
        - type: object
          properties:
            formatVersion:
              type: integer
              format: int32
              nullable: true
      nullable: true
      properties:
        assigneeType:
          $ref: '#/components/schemas/AccessControlCredentialAssigneeTypeEnum'
        assigneeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        endDateEpochSecExclusive:
          type: integer
          format: int64
          nullable: true
        lastUsedAccessControlledDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastUsedAtMillis:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lowercaseHexValue:
          type: string
          nullable: true
          readOnly: true
        managedCredUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        note:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startDateEpochSecInclusive:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/AccessControlCredentialEnumType'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        value:
          type: string
          nullable: true
        workflowStatus:
          $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
    CustomCredential:
      type: object
      allOf:
        - type: object
          properties:
            bitGroupValues:
              type: object
              additionalProperties:
                type: integer
                format: int64
                nullable: true
              nullable: true
            customFormatName:
              type: string
              nullable: true
            format:
              $ref: '#/components/schemas/WiegandFormatEnumType'
            naturalId:
              type: string
              nullable: true
            numBits:
              type: integer
              format: int32
              nullable: true
      nullable: true
      properties:
        assigneeType:
          $ref: '#/components/schemas/AccessControlCredentialAssigneeTypeEnum'
        assigneeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        createdAtMillis:
          type: integer
          format: int64
          nullable: true
        endDateEpochSecExclusive:
          type: integer
          format: int64
          nullable: true
        lastUsedAccessControlledDoorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lastUsedAtMillis:
          type: integer
          format: int64
          nullable: true
        lastUsedLocationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        lowercaseHexValue:
          type: string
          nullable: true
          readOnly: true
        managedCredUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        note:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        startDateEpochSecInclusive:
          type: integer
          format: int64
          nullable: true
        type:
          $ref: '#/components/schemas/AccessControlCredentialEnumType'
        updatedAtMillis:
          type: integer
          format: int64
          nullable: true
        userUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        value:
          type: string
          nullable: true
        workflowStatus:
          $ref: '#/components/schemas/AccessControlCredentialWorkflowStatusEnumType'
    AccessControlCredentialAssigneeTypeEnum:
      type: string
      enum:
        - USER
        - GUEST_PASS
    SecureTokenAlgorithmEnum:
      type: string
      enum:
        - AN10922_AES128
    RhombusSecureMobileFeature:
      type: object
      nullable: true
      properties:
        settings:
          type: array
          items:
            $ref: '#/components/schemas/RhombusSecureMobileFeatureSetting'
          nullable: true
        status:
          $ref: '#/components/schemas/RhombusSecureMobileFeatureStatusEnum'
    MobileTokenOSEnum:
      type: string
      enum:
        - IOS
        - ANDROID
    WiegandFormatEnumType:
      type: string
      enum:
        - H10301
        - D10202
        - H10304
        - HID_CORP1000_STD_35
        - HID_CORP1000_STD_48
        - WIEGAND_64BIT_RAW
        - CUSTOM
    RhombusSecureMobileFeatureSetting:
      type: object
      nullable: true
      properties:
        name:
          type: string
          nullable: true
        status:
          $ref: '#/components/schemas/RhombusSecureMobileFeatureSettingStatusEnum'
        value:
          type: string
          nullable: true
    RhombusSecureMobileFeatureStatusEnum:
      type: string
      enum:
        - OPT_OUT
        - UNAVAILABLE
        - OPTIMAL
        - INHIBITED
        - UNKNOWN
    RhombusSecureMobileFeatureSettingStatusEnum:
      type: string
      enum:
        - OPTIMAL
        - INHIBITED
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````